# Uses of Interface
org.springframework.cache.annotation.CachingConfigurer

Packages that use CachingConfigurer
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.

## Uses of CachingConfigurer in org.springframework.cache.annotation

Classes in org.springframework.cache.annotation that implement CachingConfigurer
Modifier and Type
Class
Description
`class`
`CachingConfigurerSupport`
Deprecated.
as of 6.0 in favor of implementing `CachingConfigurer` directly
Method parameters in org.springframework.cache.annotation with type arguments of type CachingConfigurer
Modifier and Type
Method
Description
`<T> Supplier<T>`
AbstractCachingConfiguration.CachingConfigurerSupplier.`adapt(Function<CachingConfigurer,T> provider)`
Adapt the `CachingConfigurer` supplier to another supplier provided by the specified mapping function.
Constructor parameters in org.springframework.cache.annotation with type arguments of type CachingConfigurer
Modifier
Constructor
Description
``
`CachingConfigurerSupplier(Supplier<CachingConfigurer> supplier)`